import { jsx } from "react/jsx-runtime";
import { TokenAZERO as TokenAZERO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAZERO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "AZERO", "data-name": "TokenAZERO", ...props, children: /* @__PURE__ */ jsx(TokenAZERO$1, { variant }) });
  }
);
TokenAZERO.displayName = "TokenAZERO";
Object.assign(TokenAZERO, { isGdsIcon: true });
export {
  TokenAZERO
};
